Download it now!
Bug 127022 - menu bar is broken in RTL interface on Windows
Summary: menu bar is broken in RTL interface on Windows
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.5.2 release
Hardware: x86-64 (AMD64) All
: high major
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.5.0 target:6.4.0.2 target:6.3.5
Keywords: bibisected, bisected, regression
: 126444 128575 128768 129414 129687 (view as bug list)
Depends on:
Blocks: RTL-Hebrew
  Show dependency treegraph
 
Reported: 2019-08-19 09:54 UTC by Fahad Al-Saidi
Modified: 2020-02-17 10:30 UTC (History)
11 users (show)

See Also:
Crash report or crash signature:


Attachments
Arabic interface broken on windows (58.25 KB, image/png)
2019-08-19 09:57 UTC, Fahad Al-Saidi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fahad Al-Saidi 2019-08-19 09:54:26 UTC
Description:
Libreoffice menu bar is broken in RTL interface on Windows only. As you can seen in the attached screenshot, lebals is still in far left position.

This problem is not occurred on Linux.

Steps to Reproduce:
1. install Arabic interface
2. open writer or other calc 


Actual Results:
The menu bar's labels are on left position.

Expected Results:
The menu bar's labels should be on right position.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Fahad Al-Saidi 2019-08-19 09:57:18 UTC
Created attachment 153500 [details]
Arabic interface broken on windows
Comment 2 Boaz Dodin 2019-10-26 21:15:05 UTC
Confirmed also for Hebrew on Windows 10.
Comment 3 Mr. Z. 2019-11-01 12:22:52 UTC
This Bug Makes The Main Menu's Items Show In The Leftmost End - With No Apparent Function (No Response To Being Clicked),
While The Functional, Completely HIDDEN & Mirror-Ordered Main Menu's Items Are In The Rightmost End.

The Latest Version Tested WITHOUT This Bug Is v6.2.4.2, While All Newer Versions - ( Tested: v6.2.5.2, v6.2.8, v6.3.3 ) Seem To Contain It.
Comment 4 Boaz Dodin 2019-11-01 12:46:52 UTC
Not sure if it's related, but from the v6.2.5 changelogs, bug #113714 looks like the only bug related to the main menu.
Comment 5 Timur 2019-12-15 19:39:28 UTC
*** Bug 129414 has been marked as a duplicate of this bug. ***
Comment 6 Timur 2019-12-15 19:40:30 UTC
*** Bug 128768 has been marked as a duplicate of this bug. ***
Comment 7 Xisco Faulí 2019-12-19 11:33:48 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=e8d5b8beb5958147235ff955ed38c47b51d860ff

author	Miklos Vajna <vmiklos@collabora.com>	2019-05-20 18:30:08 +0200
committer	Miklos Vajna <vmiklos@collabora.com>	2019-05-20 20:04:27 +0200
commit	e8d5b8beb5958147235ff955ed38c47b51d860ff (patch)
tree	d5f0e41bdd1076f46a3f399bbeff28a7f33a2f17
parent	115ab48f86d4e3c6eede49767df1ee5a82b4ab22 (diff)
tdf#113714 vcl menu bar window: avoid flicker

Bisected with: bibisect-linux64-6.3

Adding Cc: to Miklos Vajna

On linux it can be reproduced with SAL_USE_VCLPLUGIN=gen SAL_RTL_ENABLED=1 instdir/program/swriter
Comment 8 Commit Notification 2019-12-20 18:32:15 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4b191691fb33db96d90a27ae2a09f290d45029bc

tdf#127022 vcl: fix Windows RTL menu bar

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Fahad Al-Saidi 2019-12-21 08:58:17 UTC
(In reply to Commit Notification from comment #8)
> Miklos Vajna committed a patch related to this issue.
> It has been pushed to "master":
> 
> https://git.libreoffice.org/core/commit/
> 4b191691fb33db96d90a27ae2a09f290d45029bc
> 
> tdf#127022 vcl: fix Windows RTL menu bar
> 
> It will be available in 6.5.0.
> 
> The patch should be included in the daily builds available at
> https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
> information about daily builds can be found at:
> https://wiki.documentfoundation.org/Testing_Daily_Builds
> 
> Affected users are encouraged to test the fix and report feedback.

Thanks, please backport it to current 6.4
Comment 10 Aron Budea 2019-12-21 20:25:45 UTC
(In reply to Fahad Al-Saidi from comment #9)
> Thanks, please backport it to current 6.4
Backport is on gerrit: https://gerrit.libreoffice.org/#/c/85636/
Comment 11 Commit Notification 2019-12-21 21:14:26 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/053da119bb5817651f52e83cd7ece45cfb59d196

tdf#127022 vcl: fix Windows RTL menu bar

It will be available in 6.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Boaz Dodin 2019-12-22 08:02:31 UTC
1. For users with RTL interface, it's a critical issue. Practically, beside of opening a file from outside of LO, no additional work possible if a menu is needed (for example, either the simplest option of printing, if the keyboard shortcut isn't used, not possible).

2. Enterprise/business and conservative users are usually not on the "fresh" series of LO. As of now, those users can't upgrade from the already unsupported 6.2 series [1] (EOL 30/11/2019) to the 6.3 series.

Please backport this to the 6.3 series.

[1] https://wiki.documentfoundation.org/ReleasePlan/6.2#End_of_Life
Comment 13 Xisco Faulí 2019-12-23 09:16:39 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: 0322a41224a7264bbe03a068647ab093bcc88f90
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Miklos, thanks for fixing this issue!
Comment 14 Commit Notification 2019-12-23 13:37:56 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/7b9afea6d34ec83de75ddcd5c45188c4cf949b90

tdf#127022 vcl: fix Windows RTL menu bar

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Boaz Dodin 2019-12-23 13:41:56 UTC
@Miklos, thanks for fixing and backporting this issue!
Comment 16 Maxim Monastirsky 2020-01-13 09:48:26 UTC
*** Bug 129687 has been marked as a duplicate of this bug. ***
Comment 17 Maxim Monastirsky 2020-02-16 08:27:43 UTC
*** Bug 126444 has been marked as a duplicate of this bug. ***
Comment 18 Xisco Faulí 2020-02-17 10:30:09 UTC
*** Bug 128575 has been marked as a duplicate of this bug. ***